textures/abyss/flare_01
{
	qer_editorimage textures/abyss/flare_01.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/abyss/flare_01.tga
		rgbGen wave sin .3 .1 0 0.5
		blendfunc add
	}
}

textures/abyss/lava1
	{
		qer_editorimage textures/abyss/lava1.tga
		q3map_lightimage textures/abyss/lava1.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 100
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/abyss/lava1.tga
			rgbGen const ( 0.5 0.5 0.5 )
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/abyss/lava1c.tga
			rgbGen const ( 0.75 0.75 0.75 )
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}

textures/abyss/lava2
	{
		qer_editorimage textures/abyss/lava1.tga
		qer_trans .5
		q3map_lightimage textures/abyss/lava1.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		surfaceparm nobuildsurface
		surfaceparm nonsolid
		
		q3map_surfacelight 250
		cull disable
		{
			map textures/abyss/lava1c.tga
			rgbGen const ( 0.6 0.6 0.6 )
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .02
		}
	
		{
			map textures/abyss/lava1.tga
			rgbGen const ( 0.9 0.9 0.9  )
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}

textures/abyss/mist_s
{
	qer_editorimage textures/abyss/mist.tga
	entityMergable
	cull none
	{
		map textures/abyss/mist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		vertex
		alphaGen	vertex
	}
}

// shader from nexus6
textures/abyss/protograte1_trans
{
	qer_editorimage textures/uncreation/protograte1.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/uncreation/protograte1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map textures/uncreation/protograte1.tga
		depthFunc equal
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		tcGen lightmap
		rgbGen identity
	}
}

textures/abyss/ladder
{
	qer_editorimage textures/common/ladder.tga
	qer_trans .40
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/abyss/foghull
{
	fogParms ( 0.25 0.22 0.22 ) 1024

	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	qer_trans 0.4
}

textures/abyss/grate_s
{
	qer_editorimage textures/abyss/grate.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none
	nopicmip
	{
		map textures/abyss/grate.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map textures/abyss/grate.tga
		depthFunc equal
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		depthFunc equal
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/grate1a
{
	qer_editorimage textures/uncreation/grate1a.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/uncreation/grate1a.tga
		rgbGen identity
	}
	{
		map textures/uncreation/grate1a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
		rgbGen identity
	}
}

textures/abyss/grate1b
{
	qer_editorimage textures/uncreation/grate1b.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/uncreation/grate1b.tga
		rgbGen identity
	}
	{
		map textures/uncreation/grate1b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc filter
		tcGen lightmap
		rgbGen identity
	}
}

textures/abyss/grate1a_trans
{
	qer_editorimage textures/uncreation/grate1a.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/uncreation/grate1a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map textures/uncreation/grate1a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		depthFunc equal
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		depthFunc equal
		rgbGen identity
	}
}

textures/abyss/grate1b_trans
{
	qer_editorimage textures/uncreation/grate1b.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/uncreation/grate1b.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map textures/uncreation/grate1b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		depthFunc equal
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		depthFunc equal
		rgbGen identity
	}
}

textures/abyss/rock_new1
{
	qer_editorimage textures/abyss/rock_new1.jpg
	q3map_shadeAngle 179
	{
		map textures/abyss/rock_new1.jpg
	}
	{
		map textures/abyss/rock_new2.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/rock_new2
{
	qer_editorimage textures/abyss/rock_new2.jpg
	q3map_shadeAngle 179
	{
		map textures/abyss/rock_new2.jpg
	}
	{
		map textures/abyss/rock_new2.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/zinc_baseboard1
{
	qer_editorimage textures/uncreation/zinc_baseboard1.jpg
	{
		map textures/uncreation/zinc_baseboard1.jpg
	}
	{
		map textures/uncreation/zinc_baseboard1.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/zinc_rusty1
{
	qer_editorimage textures/uncreation/zinc_rusty1.jpg
	{
		map textures/uncreation/zinc_rusty1.jpg
	}
	{
		map textures/uncreation/zinc_rusty1.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/jp11b
{
	qer_editorimage textures/uncreation/jp11b.tga
	{
		map textures/uncreation/jp11b.tga
	}
	{
		map textures/uncreation/jp11b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/jp15a
{
	qer_editorimage textures/uncreation/jp15a.tga
	{
		map textures/uncreation/jp15a.tga
	}
	{
		map textures/uncreation/jp15a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/zinc_rusty1ach
{
	qer_editorimage textures/uncreation/zinc_rusty1ach.jpg
	{
		map textures/uncreation/zinc_rusty1ach.jpg
	}
	{
		map textures/uncreation/zinc_rusty1ach.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/zinc_panel2
{
	qer_editorimage textures/uncreation/zinc_panel2.jpg
	{
		map textures/uncreation/zinc_panel2.jpg
	}
	{
		map textures/uncreation/zinc_panel2.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/zinc_panel4
{
	qer_editorimage textures/uncreation/zinc_panel4.jpg
	{
		map textures/uncreation/zinc_panel4.jpg
	}
	{
		map textures/uncreation/zinc_panel4.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/zinc_panel5
{
	qer_editorimage textures/uncreation/zinc_panel5.jpg
	{
		map textures/uncreation/zinc_panel5.jpg
	}
	{
		map textures/uncreation/zinc_panel5.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/zinc_rusty1_dynlight
{
	qer_editorimage textures/uncreation/zinc_rusty1.tga
	surfaceparm nolightmap

	{
		map textures/uncreation/zinc_rusty1.tga
		rgbGen lightingDiffuse
	}
	{
		map textures/uncreation/zinc_rusty1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
}

textures/abyss/zinc_baseboard1_dynlight
{
	qer_editorimage textures/uncreation/zinc_baseboard1.tga
	surfaceparm nolightmap

	{
		map textures/uncreation/zinc_baseboard1.tga
		rgbGen lightingDiffuse
	}
	{
		map textures/uncreation/zinc_baseboard1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
}

textures/abyss/blocks2
{
	qer_editorimage textures/uncreation/blocks2.tga

	{
		map textures/uncreation/blocks2.tga
	}
	{
		map textures/uncreation/blocks2.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/block10a
{
	qer_editorimage textures/uncreation/block10a.tga

	{
		map textures/uncreation/block10a.tga
	}
	{
		map textures/uncreation/block10a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/met_wall01a
{
	qer_editorimage textures/uncreation/met_wall01a.tga

	{
		map textures/uncreation/met_wall01a.tga
	}
	{
		map textures/uncreation/met_wall01a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/met_wall01d
{
	qer_editorimage textures/uncreation/met_wall01d.tga

	{
		map textures/uncreation/met_wall01d.tga
	}
	{
		map textures/uncreation/met_wall01d.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/s256-01a
{
	qer_editorimage textures/uncreation/s256-01a.tga

	{
		map textures/uncreation/s256-01a.tga
	}
	{
		map textures/uncreation/s256-01a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/s256-01b
{
	qer_editorimage textures/uncreation/s256-01b.tga

	{
		map textures/uncreation/s256-01b.tga
	}
	{
		map textures/uncreation/s256-01b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/s256-01c
{
	qer_editorimage textures/uncreation/s256-01c.tga

	{
		map textures/uncreation/s256-01c.tga
	}
	{
		map textures/uncreation/s256-01c.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/s256-01d
{
	qer_editorimage textures/uncreation/s256-01d.tga

	{
		map textures/uncreation/s256-01d.tga
	}
	{
		map textures/uncreation/s256-01d.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/s256-02a
{
	qer_editorimage textures/uncreation/s256-02a.tga

	{
		map textures/uncreation/s256-02a.tga
	}
	{
		map textures/uncreation/s256-02a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/s256-02b
{
	qer_editorimage textures/uncreation/s256-02b.tga

	{
		map textures/uncreation/s256-02b.tga
	}
	{
		map textures/uncreation/s256-02b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/wcrete0
{
	qer_editorimage textures/uncreation/wcrete0.tga

	{
		map textures/uncreation/wcrete0.tga
	}
	{
		map textures/uncreation/wcrete0.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/wcrete6
{
	qer_editorimage textures/uncreation/wcrete6.tga

	{
		map textures/uncreation/wcrete6.tga
	}
	{
		map textures/uncreation/wcrete6.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/wcrod1
{
	qer_editorimage textures/uncreation/wcrod1.tga

	{
		map textures/uncreation/wcrod1.tga
	}
	{
		map textures/uncreation/wcrod1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/wcrod2
{
	qer_editorimage textures/uncreation/wcrod2.tga

	{
		map textures/uncreation/wcrod2.tga
	}
	{
		map textures/uncreation/wcrod2.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/mat4c
{
	qer_editorimage textures/uncreation/mat4c.tga

	{
		map textures/uncreation/mat4c.tga
	}
	{
		map textures/uncreation/mat4c.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/mat5c
{
	qer_editorimage textures/uncreation/mat5c.tga

	{
		map textures/uncreation/mat5c.tga
	}
	{
		map textures/uncreation/mat5c.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/032-01a
{
	qer_editorimage textures/uncreation/032-01a.tga

	{
		map textures/uncreation/032-01a.tga
	}
	{
		map textures/uncreation/032-01a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/032-01b
{
	qer_editorimage textures/uncreation/032-01b.tga

	{
		map textures/uncreation/032-01b.tga
	}
	{
		map textures/uncreation/032-01b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/032-10a
{
	qer_editorimage textures/uncreation/032-10a.tga

	{
		map textures/uncreation/032-10a.tga
	}
	{
		map textures/uncreation/032-10a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/032-10b
{
	qer_editorimage textures/uncreation/032-10b.tga

	{
		map textures/uncreation/032-10b.tga
	}
	{
		map textures/uncreation/032-10b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/032-14a
{
	qer_editorimage textures/uncreation/032-14a.tga

	{
		map textures/uncreation/032-14a.tga
	}
	{
		map textures/uncreation/032-14a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/032-15b
{
	qer_editorimage textures/uncreation/032-15b.tga

	{
		map textures/uncreation/032-15b.tga
	}
	{
		map textures/uncreation/032-15b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/s064-02a
{
	qer_editorimage textures/uncreation/s064-02a.tga

	{
		map textures/uncreation/s064-02a.tga
	}
	{
		map textures/uncreation/s064-02a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/s064-03c
{
	qer_editorimage textures/uncreation/s064-03c.tga

	{
		map textures/uncreation/s064-03c.tga
	}
	{
		map textures/uncreation/s064-03c.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/064-10a
{
	qer_editorimage textures/uncreation/064-10a.tga

	{
		map textures/uncreation/064-10a.tga
	}
	{
		map textures/uncreation/064-10a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/064-10c
{
	qer_editorimage textures/uncreation/064-10c.tga

	{
		map textures/uncreation/064-10c.tga
	}
	{
		map textures/uncreation/064-10c.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/064-11b
{
	qer_editorimage textures/uncreation/064-11b.tga

	{
		map textures/uncreation/064-11b.tga
	}
	{
		map textures/uncreation/064-11b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/064-12a
{
	qer_editorimage textures/uncreation/064-12a.tga

	{
		map textures/uncreation/064-12a.tga
	}
	{
		map textures/uncreation/064-12a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/064-12d
{
	qer_editorimage textures/uncreation/064-12d.tga

	{
		map textures/uncreation/064-12d.tga
	}
	{
		map textures/uncreation/064-12d.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/064-14a
{
	qer_editorimage textures/uncreation/064-14a.tga

	{
		map textures/uncreation/064-14a.tga
	}
	{
		map textures/uncreation/064-14a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/064-14b
{
	qer_editorimage textures/uncreation/064-14b.tga

	{
		map textures/uncreation/064-14b.tga
	}
	{
		map textures/uncreation/064-14b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/064-20b
{
	qer_editorimage textures/uncreation/064-20b.tga

	{
		map textures/uncreation/064-20b.tga
	}
	{
		map textures/uncreation/064-20b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/064-21a
{
	qer_editorimage textures/uncreation/064-21a.tga

	{
		map textures/uncreation/064-21a.tga
	}
	{
		map textures/uncreation/064-21a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/s128-02a
{
	qer_editorimage textures/uncreation/s128-02a.tga

	{
		map textures/uncreation/s128-02a.tga
	}
	{
		map textures/uncreation/s128-02a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/s128-02c
{
	qer_editorimage textures/uncreation/s128-02c.tga

	{
		map textures/uncreation/s128-02c.tga
	}
	{
		map textures/uncreation/s128-02c.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/s128-06a
{
	qer_editorimage textures/uncreation/s128-06a.tga

	{
		map textures/uncreation/s128-06a.tga
	}
	{
		map textures/uncreation/s128-06a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/mix_wall01a
{
	qer_editorimage textures/uncreation/mix_wall01a.tga

	{
		map textures/uncreation/mix_wall01a.tga
	}
	{
		map textures/uncreation/mix_wall01a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/mix_wall02a
{
	qer_editorimage textures/uncreation/mix_wall02a.tga

	{
		map textures/uncreation/mix_wall02a.tga
	}
	{
		map textures/uncreation/mix_wall02a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/mix_wall03a
{
	qer_editorimage textures/uncreation/mix_wall03a.tga

	{
		map textures/uncreation/mix_wall03a.tga
	}
	{
		map textures/uncreation/mix_wall03a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/grill_wall01a
{
	qer_editorimage textures/uncreation/grill_wall01a.tga

	{
		map textures/uncreation/grill_wall01a.tga
	}
	{
		map textures/uncreation/grill_wall01a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/grill_wall01b
{
	qer_editorimage textures/uncreation/grill_wall01b.tga

	{
		map textures/uncreation/grill_wall01b.tga
	}
	{
		map textures/uncreation/grill_wall01b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/grill_wall02a
{
	qer_editorimage textures/uncreation/grill_wall02a.tga

	{
		map textures/uncreation/grill_wall02a.tga
	}
	{
		map textures/uncreation/grill_wall02a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/grill_wall03a
{
	qer_editorimage textures/uncreation/grill_wall03a.tga

	{
		map textures/uncreation/grill_wall03a.tga
	}
	{
		map textures/uncreation/grill_wall03a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/grill_wall10a
{
	qer_editorimage textures/uncreation/grill_wall10a.tga

	{
		map textures/uncreation/grill_wall10a.tga
	}
	{
		map textures/uncreation/grill_wall10a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/grill_wall13a
{
	qer_editorimage textures/uncreation/grill_wall13a.tga

	{
		map textures/uncreation/grill_wall13a.tga
	}
	{
		map textures/uncreation/grill_wall13a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/grill_wall13b
{
	qer_editorimage textures/uncreation/grill_wall13b.tga

	{
		map textures/uncreation/grill_wall13b.tga
	}
	{
		map textures/uncreation/grill_wall13b.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/half_grill_wall01a
{
	qer_editorimage textures/uncreation/half_grill_wall01a.tga

	{
		map textures/uncreation/half_grill_wall01a.tga
	}
	{
		map textures/uncreation/half_grill_wall01a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/half_grill_wall02a
{
	qer_editorimage textures/uncreation/half_grill_wall02a.tga

	{
		map textures/uncreation/half_grill_wall02a.tga
	}
	{
		map textures/uncreation/half_grill_wall02a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/half_grill_wall03a
{
	qer_editorimage textures/uncreation/half_grill_wall03a.tga

	{
		map textures/uncreation/half_grill_wall03a.tga
	}
	{
		map textures/uncreation/half_grill_wall03a.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/lig_032-01b1-2k
{
	qer_editorimage textures/uncreation/032lig10ba.jpg
	q3map_lightimage textures/uncreation/032lig10b.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/uncreation/032lig10ba.jpg
		rgbGen identity
	}
	{
		map textures/uncreation/032lig10ba.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/032lig10b.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}
textures/abyss/lig_032-01y1-2k
{
	qer_editorimage textures/uncreation/032lig10ya.jpg
	q3map_lightimage textures/uncreation/032lig10y.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/uncreation/032lig10ya.jpg
		rgbGen identity
	}
	{
		map textures/uncreation/032lig10ya.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/032lig10y.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}
textures/abyss/lig_032-05b2-2k
{
	qer_editorimage textures/uncreation/032lig20bb.jpg
	q3map_lightimage textures/uncreation/032lig20b.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/uncreation/032lig20bb.jpg
		rgbGen identity
	}
	{
		map textures/uncreation/032lig20bb.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/032lig20b.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}
textures/abyss/lig_032-05y2-2k
{
	qer_editorimage textures/uncreation/032lig20yb.jpg
	q3map_lightimage textures/uncreation/032lig20y.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/uncreation/032lig20yb.jpg
		rgbGen identity
	}
	{
		map textures/uncreation/032lig20yb.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/032lig20y.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}
textures/abyss/lig_064-02r2-2k
{
	qer_editorimage textures/uncreation/064lig21rb.jpg
	q3map_lightimage textures/uncreation/064lig21r.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/uncreation/064lig21rb.jpg
		rgbGen identity
	}
	{
		map textures/uncreation/064lig21rb.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/064lig21r.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}
textures/abyss/lig_064-03r2-2k
{
	qer_editorimage textures/uncreation/064lig22rb.jpg
	q3map_lightimage textures/uncreation/064lig22r.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/uncreation/064lig22rb.jpg
		rgbGen identity
	}
	{
		map textures/uncreation/064lig22rb.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/064lig22r.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}
textures/abyss/lig_064z-01r1-2k
{
	qer_editorimage textures/uncreation/zdetlig01ra.jpg
	q3map_lightimage textures/uncreation/zdetlig01r.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/uncreation/zdetlig01ra.jpg
		rgbGen identity
	}
	{
		map textures/uncreation/zdetlig01ra.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/zdetlig01r.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}
textures/abyss/lig_128-02r1-2k
{
	qer_editorimage textures/uncreation/sqrlig03ra.jpg
	q3map_lightimage textures/uncreation/sqrlig03r.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/sqrlig03ra.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/uncreation/sqrlig03r.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}
textures/abyss/lig_128-02y1-2k
{
	qer_editorimage textures/uncreation/sqrlig03ya.jpg
	q3map_lightimage textures/uncreation/sqrlig03y.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/sqrlig03ya.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/uncreation/sqrlig03y.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}
textures/abyss/lig_128-02y2-2k
{
	qer_editorimage textures/uncreation/sqrlig03yb.jpg
	q3map_lightimage textures/uncreation/sqrlig03y.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/sqrlig03yb.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/uncreation/sqrlig03y.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}
textures/abyss/lig_128-03r1-2k
{
	qer_editorimage textures/uncreation/octlig01ra.jpg
	q3map_lightimage textures/uncreation/sqrlig02r.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/octlig01ra.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/uncreation/sqrlig02r.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}
textures/abyss/lig_128-03r2-2k
{
	qer_editorimage textures/uncreation/octlig01rb.jpg
	q3map_lightimage textures/uncreation/sqrlig02r.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/octlig01rb.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/uncreation/sqrlig02r.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}
textures/abyss/lig_128-03r3-2k
{
	qer_editorimage textures/uncreation/octlig01rc.jpg
	q3map_lightimage textures/uncreation/sqrlig02r2.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uncreation/octlig01rc.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/uncreation/sqrlig02r2.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/abyss/blocks2_nonsolid
{
	qer_editorimage textures/uncreation/blocks2.tga

	surfaceparm nonsolid

	{
		map textures/uncreation/blocks2.tga
	}
	{
		map textures/uncreation/blocks2.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

textures/abyss/mat5c_nonsolid
{
	qer_editorimage textures/uncreation/mat5c.tga

	surfaceparm nonsolid

	{
		map textures/uncreation/mat5c.tga
	}
	{
		map textures/uncreation/mat5c.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

models/abyss/barrel_red_bio
{
	qer_editorimage models/abyss/barrel_red_bio.jpg
	{
		map models/abyss/barrel_red_bio.jpg
	}
	{
		map models/abyss/barrel_red_bio.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}

models/abyss/barrel_red_radio
{
	qer_editorimage models/abyss/barrel_red_radio.jpg
	{
		map models/abyss/barrel_red_radio.jpg
	}
	{
		map models/abyss/barrel_red_radio.jpg
		blendFunc GL_ONE GL_SRC_ALPHA
		detail
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
		blendFunc filter
	}
}
